#order-detail .box {
  box-shadow: none;
  border-radius: 20px !important;
  border: none !important;
}

#order-detail table tbody tr:first-child td:first-child {
  border-top-left-radius: 0 !important;
}

#order-detail table tbody tr:first-child td:last-child {
  border-top-right-radius: 0 !important;
}

#order-products tfoot tr:last-child td:last-child {
  border-bottom-right-radius: 10px !important;
}

#order-products tfoot tr:last-child td:first-child {
  border-bottom-left-radius: 10px !important;
}

#order-products tbody tr:last-child td:last-child {
  border-bottom-right-radius: 0px !important;
}

#order-products tbody tr:last-child td:first-child {
  border-bottom-left-radius: 0px !important;
}

textarea {
  border-radius: 20px !important;
}

@media (max-width: 787px) {
  #order-detail .box {
    border: 1px solid #13453410 !important;
  }

  #order-infos > box > row {
    display: flex !important;
    flex-wrap: wrap !important;
    gap: 14px !important;
  }

  #order-infos > box > row .col-xs-3.text-xs-right {
    width: unset;
  }
}

@media (max-width: 578px) {
  .history-line .date {
    margin-bottom: 10px !important;
  }

  .label.label-pill.bright {
    border-radius: 20px !important;
  }

  address,
  .shipping-line ul {
    margin-bottom: 0 !important;
  }

  .hidden-sm-up.history-lines .history-line {
    padding-bottom: 0 !important;
  }
}

.tvservices-img {
  height: 100px !important;
  width: 100px !important;
  /* transform: translateY(10px); */
}

.tvservices-img img {
  object-fit: contain !important;
}
@media (min-width: 1631px) {
  img.tv-img-responsive {
    object-fit: contain !important;
  }
}

.tvservices-img-conut {
  margin-bottom: 0 !important;
}

#block-reassurance img {
  width: 50px !important;
  height: 50px !important;
}

#block-reassurance li .block-reassurance-item {
  padding-left: 10px !important;
}

@media (max-width: 991px) {
  .owl-theme .owl-dots .owl-dot span {
    width: 8px !important;
    height: 8px !important;
  }
}

#contact .contact-rich,
.contact-rich .block {
  border: none !important;
}

.contact-form h3 {
  border-bottom: none !important;
}

.contact-rich h4 {
  border-bottom: none !important;
}

.iframe-map-contact {
  width: 100vw !important;
  transform: translateX(-50%);
  left: 50%;
  position: relative;
  margin-top: 80px !important;
}

#content.page-content:has(.iframe-map-contact) {
  margin-bottom: 0 !important;
  padding-bottom: 0 !important;
}

#main:has(.iframe-map-contact) .page-footer {
  margin-bottom: 0 !important;
}

.prod-animation.tvcms-snackbar.hidden-sm-down
  .tvcms-prod-popup.show
  .alert-warning {
  display: none !important;
}

.contact-form h3 {
  text-transform: unset !important;
}

#left-column .contact-rich .row {
  /* justify-content: flex-start !important; */
}

.contact-with-us {
  text-align: center !important;
}

.contact-form .col-md-1.col-lg-2:first-child {
  /* width: 0 !important;
    padding: 0 !important; */
}

.block .icon svg {
  height: 40px !important;
  width: 40px !important;
}

.contact-form input:disabled {
  color: #585859 !important;
}

div:has(> iframe) {
  line-height: 0;
}

.topic-row {
  display: none !important;
}

.contact-rich h1 {
  text-align: center !important;
}

.block.tvaddress .data p {
  margin-bottom: 10px !important;
}

.iframe-map-contact.mobile {
  display: none;
}

@media (max-width: 940px) {
  .contact-rich {
    margin-top: 40px;
  }

  .iframe-map-contact:not(.mobile) {
    display: none;
  }

  .iframe-map-contact.mobile {
    display: block;
    margin-top: 40px !important;
  }
}

html body .table-labeled .label:not(:empty) {
  background: #134534 !important;
}

.btn span {
  font-weight: bold !important;
}

.tvall-inner-btn span {
  font-weight: bold !important;
}

.btn {
  font-weight: bold !important;
}

.tvaddress .data p {
  font-size: 14px !important;
}

.file-row {
  display: none !important;
}

#addresses .addresses-footer .tvall-inner-btn {
  width: fit-content !important;
}

a.account-link.tvall-inner-btn,
a.account-link.tvall-inner-btn,
#module-tvcmswishlist-mywishlist
  .footer_links
  a.tvall-inner-btn.btn-back-to-account,
#my-account #main footer.page-footer .tvall-inner-btn {
  margin-bottom: 0px !important;
  margin-right: 0px !important;
}

#identity .page-footer,
#addresses .page-footer,
#history .page-footer,
#order-slip .page-footer,
#discount .page-footer,
#module-tvcmswishlist-mywishlist .footer_links.wishlist_footer,
body#my-account footer.page-footer.page-footer {
  margin-bottom: 48px !important;
}

#module-tvcmswishlist-mywishlist
  .footer_links
  a.tvall-inner-btn:last-of-type
  span,
#module-tvcmswishlist-mywishlist
  .footer_links
  a.tvall-inner-btn:last-of-type
  i {
  color: white !important;
}
#mywishlist a.tvall-inner-btn.btn-back-to-account:hover,
.tvall-inner-btn.btn-back-to-account:hover,
#module-tvcmswishlist-mywishlist
  .footer_links
  a.tvall-inner-btn:last-of-type:hover
  i {
  color: white !important;
}

/* Wykomentowalem psuło mi style WB */
/* #module-ps_emailalerts-account a.account-link.tvall-inner-btn:last-of-type{
    background: #26a96c!important;
} */
#module-ps_emailalerts-account
  a.account-link.tvall-inner-btn:last-of-type:hover {
  background: #134534 !important;
}

#addresses .tvaddress-save-box > div {
  display: flex;
  flex-direction: column;
}

#addresses .tvaddress-save-box > div .address {
  display: flex;
  flex-direction: column;
  flex: 1;
}

#addresses .tvaddress-save-box > div .address .address-footer {
  display: flex;
  flex: 1;
  align-items: flex-end;
}

#addresses .tvremove-btn,
#addresses .tvedit-btn,
#identity .input-group .btn {
  font-weight: 800 !important;
}

#block-reassurance li .block-reassurance-item {
  border-left: 3px solid var(--primary-color) !important;
}
#product button.tvall-inner-btn.add-to-cart:hover {
  background: var(--primary-color) !important;
}
#product button.tvall-inner-btn.add-to-cart {
  background: var(--secondary-color) !important;
}
/* .tvproduct-wishlist-compare .panel-product-line.panel-product-actions.tvproduct-wishlist-icon:hover{
    background: var(--secondary-color)!important;
}
.tvproduct-wishlist-compare .panel-product-line.panel-product-actions.tvproduct-wishlist-icon{
    background: var(--primary-color)!important;
} */
#product button.tvall-inner-btn.add-to-cart.disabled {
  background: var(--grey-color) !important;
}
/* body#category #js-product-list-top > .tv-left-search-totle-product > .tvcms-left-column-wrapper{
    display: block!important;
}
body#category #left-column#left-column{
    display: block !important;
} */
#search_filters
  .tvleft-right-title-wrapper
  .tv_search_filter_wrapper
  > .tvleft-right-title-wrapper {
  display: none !important;
}

.tvfilter-search-types-dropdown::-webkit-scrollbar {
  width: 3px;
  background-color: #ddd;
}

.tvfilter-search-types-dropdown::-webkit-scrollbar-thumb {
  background-color: #134534;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1); /* Cieńszy uchwyt */
}
@media (max-width: 768px) {
  .tvall-product-offer-banner
    .tvtimer-wrapper.tvtimer-wrapper.tvtimer-wrapper.tvtimer-wrapper.tvtimer-wrapper {
    background: #ecede7 !important;
  }
  .tvall-product-offer-banner
    .responsive-timer
    .tvproduct-timer-wrapper.tvproduct-timer-box.tvproduct-timer-box.tvproduct-timer-box {
    background: #ecede7 !important;
  }

  .tvcmsspecial-product
    .owl-stage
    .tvtimer-wrapper
    .tvproduct-timer-wrapper.tvproduct-timer-box
    div:first-child {
    color: #d06f28 !important;
    font-weight: 600 !important;
  }
  .tvproduct-title-brandimage .tvproduct-brand img {
    max-width: 90px !important;
  }
  .tvsearch-filter-content-wrapper {
    overflow: scroll;
    max-height: calc(100vh - 40px);
    padding-bottom: 15px;
  }
  .tvsearch-filter-content-wrapper .facet:last-of-type {
    margin-bottom: 15px;
  }
  div#search_filters_wrapper {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    width: 70%;
    z-index: 999999999999;
    transform: translateX(-100%);
    transition: 0.3s;
  }
  div#search_filters_wrapper:has(#search_filters.open) {
    transform: translateX(0%);
  }

  #search_filters .tvleft-right-penal-all-block {
    border-radius: 0px;
  }
  #search_filters .tvleft-right-penal-all-block {
    border-radius: 0px;
    border: 0px;
    border-right: 1px solid;
  }
  #search_filters .tvleft-right-title-wrapper {
    border-radius: 0px;
  }

  #search_filters .tvleft-right-title-wrapper {
    background-color: white !important;
  }
  #search_filters .tvleft-right-title-wrapper i {
    color: #333333 !important;
  }
  #search_filters .tvleft-right-title.facet-label {
    color: #333333 !important;
  }
  #search_filters .tvleft-right-title-wrapper {
    margin: 0px !important;
    /* border: none!important;
    position: absolute!important;
    right: 15px!important;
    top: 15px!important; */
  }
  #search_filters .tvleft-right-title-wrapper {
    padding: 15px !important;
  }
  #search_filters
    .tvleft-right-title-wrapper
    .tv_search_filter_wrapper
    > .tvleft-right-title-wrapper {
    display: block !important;
    position: absolute !important;
    right: 0px !important;
    top: 0px !important;
    border: none !important;
  }
}
@media (max-width: 580px) {
  .manufacturer-image img {
    max-width: 40px !important;
  }
}
@media (max-width: 480px) {
  .manufacturer-image {
    right: 5px !important;
    top: 5px !important;
  }

  .manufacturer-image img {
    max-width: 35px !important;
  }
  div#search_filters_wrapper {
    width: 90% !important;
  }
}

/* blog */
#module-tvcmsblog-archive .tv_blog_post_inner.products.row {
  display: flex;
  flex-wrap: wrap;
}
#module-tvcmsblog-archive
  .tv_blog_post_area
  .tvblog_post
  .post_content
  .post_title,
#module-tvcmsblog-archive
  .tv_blog_post_area
  .tvblog_post
  .post_content
  .post_title
  h3 {
  margin: 0px !important;
}
#module-tvcmsblog-archive
  .tv_blog_post_area
  .tvblog_post
  .post_content
  .post_title
  h3 {
  font-size: 16px !important;
  line-height: 150% !important;
  font-weight: 700 !important;
}
#module-tvcmsblog-archive .tv_blog_post_area .tvblog_post .tvnews-event-titel {
  margin-bottom: 10px !important    ;
}

#module-tvcmsblog-archive
  .tvnews-event-content-wrapper
  .tvnews-event-titel
  a
  h3 {
  -webkit-line-clamp: 2;
}
#module-tvcmsblog-archive .post_thumbnail.blog_post_content_top {
  margin-bottom: 0px !important;
}
#module-tvcmsblog-archive
  .tvblog-event-all-content-block
  .post_description.tvnews-event-description {
  height: 3em !important;
  -webkit-line-clamp: 2;
  overflow: hidden;
  -webkit-box-orient: vertical;
  display: -webkit-box;
}
#module-tvcmsblog-archive .tvnews-event-read-more-link,
#module-tvcmsblog-archive .tvnews-event-read-more-link {
  margin-top: 10px;
}
#index
  .tvblog-event-all-content-block
  .post_description.tvnews-event-description {
  height: 3em !important;
  -webkit-line-clamp: 2;
  overflow: hidden;
  -webkit-box-orient: vertical;
  display: -webkit-box;
}

@media ((max-width: 649px)) {
  #module-tvcmsblog-archive
    .tvnews-event-content-wrapper
    .tvnews-event-titel
    a
    h3 {
    font-size: 14px !important;
    line-height: 140% !important;
    font-weight: 700 !important;
  }
}

/* PRODUCT CARD - START */
body#product .tvproduct-title-brandimage h1 {
  margin-bottom: 10px;
}

/* poprzenie body#product .tvproduct-title-brandimage h1 - 211 linia*/
@media (min-width: 992px) {
  body#product .tv-product-page-content .tvproduct-title-brandimage h1 {
    line-height: 130% !important;
  }
}

/* poprzednie  .tvproduct-page-decs p, .tvproduct-page-decs - 4877 linia */
.tv-product-page-content .tvproduct-page-decs p,
.tv-product-page-content .tvproduct-page-decs {
  font-size: 12px !important;
  margin-bottom: 0px !important;
  line-height: 130% !important;
}

/* poprzednie  #product .product-prices - 5490 */
#product .product-prices {
  margin-top: 20px;
}
/* PRODUCT CARD - END */
